Class | Ferret::Search::FilteredQuery
In: | ext/r_search.c
Parent: | Ferret::Search::Query

## Summary

FilteredQuery offers you a way to apply a filter to a specific query. The FilteredQuery would then by added to a BooleanQuery to be combined with other queries. There is not much point in passing a FilteredQuery directly to a Searcher#search method unless you are applying more than one filter since the search method also takes a filter as a parameter.

### Methods

new

### Public Class methods

FilteredQuery.new(query, filter) → query

Create a new FilteredQuery which filters `query` with `filter`.

[Validate]